/*
  功能：解决js计算精度问题
  作者：郭飞
  邮箱：guofei2922@boe.com.cn
  时间：2024年11月17日
  版本：v1.0 
 */
import { Decimal } from 'decimal.js';//引入
class Cals {
    add(num1:any,num2:any) {
        return new Decimal(num1).add(new Decimal(num2))
    }
	//减
    sub(num1:any,num2:any) {
        return new Decimal(num1).sub(new Decimal(num2))
    }
    //多3减
    subMore(num1:any,num2:any,num3:any) {
        return new Decimal(new Decimal(num1).sub(new Decimal(num2))).sub(new Decimal(num3))
    }
	// 乘
    mul(num1:any,num2:any) {
        return new Decimal(num1).mul(new Decimal(num2))
    }
	// 除
    div(num1:any,num2:any) {
        return new Decimal(num1).div(new Decimal(num2))
    }
}
export const cals = new Cals();